export default DepthCloudObject;
declare class DepthCloudObject extends Object3D {
    constructor(url: any, options?: {
        streamType: string;
        f: number;
        maxDepthPerTile: number;
        pointSize: number;
        width: number;
        height: number;
        whiteness: number;
        varianceThreshold: number;
    });
    options: {
        streamType: string;
        f: number;
        maxDepthPerTile: number;
        pointSize: number;
        width: number;
        height: number;
        whiteness: number;
        varianceThreshold: number;
    };
    url: any;
    animate(): void;
    onMetaLoaded(): void;
    metaLoaded: boolean | undefined;
    isMjpeg(): boolean;
    initVideo(): void;
    video: HTMLImageElement | HTMLVideoElement | undefined;
    initStreamer(): void;
    texture: Texture | undefined;
    geometry: Geometry | undefined;
    material: ShaderMaterial | undefined;
    mesh: Points | undefined;
    startStream(): void;
    stopStream(): void;
    applyQuaternion(quaternion: import("three").Quaternion): DepthCloudObject;
    rotateOnAxis(axis: Vector3, angle: number): DepthCloudObject;
    rotateOnWorldAxis(axis: Vector3, angle: number): DepthCloudObject;
    rotateX(angle: number): DepthCloudObject;
    rotateY(angle: number): DepthCloudObject;
    rotateZ(angle: number): DepthCloudObject;
    translateOnAxis(axis: Vector3, distance: number): DepthCloudObject;
    translateX(distance: number): DepthCloudObject;
    translateY(distance: number): DepthCloudObject;
    translateZ(distance: number): DepthCloudObject;
    add(...object: Object3D[]): DepthCloudObject;
    remove(...object: Object3D[]): DepthCloudObject;
    attach(object: Object3D): DepthCloudObject;
    clone(recursive?: boolean | undefined): DepthCloudObject;
    copy(source: DepthCloudObject, recursive?: boolean | undefined): DepthCloudObject;
}
import { Object3D } from "three/src/core/Object3D";
import { Texture } from "three/src/textures/Texture";
import { Geometry } from "three/src/core/Geometry";
import { ShaderMaterial } from "three/src/materials/ShaderMaterial";
import { Points } from "three/src/objects/Points";
import { Vector3 } from "three/src/math/Vector3";
